# stl_hashtable.h File Reference

`#include <vector>`
`#include <iterator>`
`#include <bits/stl_algo.h>`
`#include <bits/stl_function.h>`
`#include <ext/stl_hash_fun.h>`

Include dependency graph for stl_hashtable.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset). You should only include this header if you are using GCC 3 or later.

Definition in file stl_hashtable.h.